Subject: Re: [Cbe-oss-dev] powerpc/cell/oprofile: fix mutex locking for spu-oprofile

From: Arnd Bergmann <[email-masked]>
Date: Thu, 21 Aug 2008 10:14:42 +0200

On Thursday 21 August 2008, Paul Mackerras wrote:
> Arnd Bergmann writes:
> 
> > Paul, any chance we can still get this into 2.6.27?
> 
> Possibly.  We'll need a really good explanation for Linus as to why
> this is needed (what regression or serious bug this fixes) and why it
> is late.  Can you send me something explaining that?

The patch does not fix a regression, the spu-oprofile code basically never
worked. With the current code in Linux, samples in the profile buffer
can get corrupted because reader and writer to that buffer use different
locks for accessing it. It took us several iterations to come up with
a solution that does not introduce other problems and I didn't want to
push an earlier version that would need more fixups.

Since rc4 is out now, I understand if you feel more comfortable with
putting the patch into -next instead of -merge.
Note that the second patch is trivial and fixes an oopsable condition
of the kernel, so at least that should still go into 2.6.27.

> > I've added the Ack and uploaded it again for you to
> > pull from
> > 
> >  master.kernel.org:/pub/scm/linux/kernel/git/arnd/cell-2.6.git merge
> 
> Are you sure you actually managed to update that?

No, but it's there now. I was missing the '-f' for git-push.

	Arnd <><